VRPlatformVRPlatform
Teams

/teams

Get List of all Teams

GET
/teams
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

status?string
Value in"active" | "inactive" | "deleted" | "onboarding"
date?string

You can use elipisis: YYYY-MM-DD...YYYY-MM-DD

limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.edge.vrplatform.app/teams"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "defaultCurrency": "string",
      "longTermStayNights": 0,
      "defaultRevenueRecognition": "checkIn",
      "name": "string",
      "statementAddress": {
        "full": "string",
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "postalCode": "string",
        "stateCode": "string",
        "countryCode": "string"
      },
      "billingAddress": {
        "full": "string",
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "postalCode": "string",
        "stateCode": "string",
        "countryCode": "string"
      },
      "phone": "string",
      "email": "string",
      "taxId": "string",
      "partner": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "billingPartner": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "companyName": "string",
      "type": "partner",
      "status": "active",
      "billingSubscriptionStatus": "string",
      "billingPlan": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "trialUntil": "string",
      "cancelledAt": "string",
      "isOnboarding": true,
      "issues": [
        {
          "code": "unassignedAccount",
          "severity": "error",
          "context": {
            "accountIds": [
              "string"
            ]
          }
        }
      ],
      "isGeneralLedger": true,
      "booksClosedAt": "string",
      "logo": "string",
      "statementStartAt": "string",
      "effectiveStatementStartAt": "string",
      "ownerPortalShowDraftStatements": true,
      "members": [
        {
          "userId": "string",
          "email": "string",
          "role": "string",
          "name": "string",
          "firstName": "string"
        }
      ],
      "extractableConnections": {
        "property1": {
          "connections": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "appId": "string",
              "urlExample": "string",
              "allowConfirmationCode": true
            }
          ]
        },
        "property2": {
          "connections": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "appId": "string",
              "urlExample": "string",
              "allowConfirmationCode": true
            }
          ]
        }
      }
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}